clear all; clc; format long;

Adolni_01 = abs(1.7471E+00-3.6748E+00i)*0.05      %velikost astigmstismu v mm generovaného elipticitou 0.05mm dolní plochy

Ahorni_01 = abs(-4.0419E+00-1.5801E+00i)*0.05    %velikost astigmstismu v mm generovaného elipticitou 0.05mm horní plochy
%-3.8404E-01, -8.9966E-02     20mm
%-3.9432E-01, -1.0049E-01     30mm
%-3.9814E-01, -1.0528E-01

Stigmator_vnitrni = abs(-6.9711E-03-1.3483E-02*i) %velikost korekce astigmatismu stigmátorem při buzení 1 Az a s_vnitrnim

Stigmator_vnejsi = abs(-5.0039E-03-9.6716E-03i) %velikost korekce astigmatismu stigmátorem při buzení 1 Az a s_vnejsim

Astigmatismus_maximalni=abs(Adolni_01+Ahorni_01) %největší astigmatismus systému, který může vzniknout

Korekce_astigmatismus_vnitrni_vinuti = Stigmator_vnitrni*27.3 %míra astigmatismu, který je schopno vnitřní vinutí korigovat při 27.3 Az
Korekce_astigmatismus_vnejsi_vinuti = Stigmator_vnejsi*38.8 %míra astigmatismu, který je schopno vnější vinutí korigovat při 38.8 Az